| DocBook: The Definitive Guide 2.0.17 (Alpha)

# toc

$Revision$

$Date$

toc — A table of contents

## Synopsis

### Content Model

    toc ::=
    (beginpage?,
     (title,subtitle?,titleabbrev?)?,
     tocfront*,
     (tocpart|tocchap)*,
     tocback*)

### Attributes

Common attributes

Name | Type | Default
pagenum | CDATA | None

## Description

The `ToC` element defines a table of contents in a document.

The general structure of elements in a `ToC` is analogous to the structure of the document described. For example, a `ToC` for a `Book` might contain `TocFront` elements for the front-matter of the book, `TocChap` elements for the body of the book, and `TocBack` elements for the back matter. Inside each of these are additional elements reflecting the structure of each component.

### Processing expectations

Formatted as a displayed block.

In real life, `ToC`s are usually generated automatically by the presentation system and never have to be represented explicitly in the document source.

### Parents

These elements contain toc: `appendix`, `article`, `book`, `chapter`, `part`, `preface`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `set`.

### Children

The following elements occur in toc: `beginpage`, `subtitle`, `title`, `titleabbrev`, `tocback`, `tocchap`, `tocfront`, `tocpart`.

## Attributes

pagenum

  `PageNum` indicates the page on which this Table of Contents appears in the printed document

## Examples

    <!DOCTYPE toc PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <toc>
    <tocfront pagenum="i">Preface</tocfront>
    <tocpart>
      <tocentry>Part I</tocentry>
      <tocchap>
        <tocentry pagenum="1">Getting Started with SGML/XML</tocentry>
        <toclevel1>
          <tocentry pagenum="1">HTML and SGML vs. XML</tocentry>
        </toclevel1>
        <toclevel1>
          <tocentry pagenum="3">How Does DocBook Fit In?</tocentry>
          <toclevel2>
            <tocentry pagenum="3">A Short DocBook History</tocentry>
          </toclevel2>
        </toclevel1>
        <!-- ... -->
      </tocchap>
    </tocpart>
    <!-- ... -->
    <tocback pagenum="305">Bibliography</tocback>
    </toc>

titleabbrev |  | tocback

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.